INSIDE 2.0.6 NO se conecta a ningún gestor documental

Hoy me he llevado una nueva sorpresa con el equipo de desarrollo de INSIDE. Desde hace meses, que descargamos la versión 2.0.6 de INSIDE, hemos estado leyendo, instalando y probando esta herramienta (hasta donde nuestros conocimientos nos dejan) y una de las cosas que leímos, en la página 20 del Manual de instalación [1], era esto:

En la nueva versión de Inside se permite utilizar, además del actual sistema con CVS Storage, el estándar CMIS. Para ello únicamente hay que configurar el fichero server.cmis.properties.

¿A que está clarísimo lo que quiere decir? Que si quieres puedes usar CVS Storage o un gestor de documentos con soporte CMIS. Pues NO!! Hoy me he enterado que no es así y que INSIDE 2.0.6 no trabaja con gestores documentales con soporte CMIS a pesar de que diga lo contrario en su documentación.

Esta fue la pregunta que ayer hice en la página de Soporte del CAID [2]:

Buenos días, en la XXXXX estamos probando INSIDE 2.0.6 (ya que habíamos comenzado con él antes de la versión 2.0.7). Haciendo pruebas para conectarlo con Alfresco, cuando, mediante servicios web, intentamos guardar un documento obtenemos este error:
Caused by: es.mpt.dsic.inside.service.object.converter.InsideServiceObjectConverterException: Excepción trasladando el documento electrónico al repositorio CSVSTORAGE Mirando el código del WAR distribuido no vemos referencia alguna al string “cmis” lo que nos provoca la siguiente duda: ¿en qué clase o parte del código podemos ver cómo se almacena en un gestor documental con soporte CMIS?
Un saludo.

Y esta la respuesta de hoy:

Buenas tardes,

El soporte a CMIS se incorporó en la versión 2.0.7, así que imagino que el problema viene por eso. ¿Hay alguna opción de que os instaléis la última versión? Un saludo y disculpad las molestias.

Meses trabajando con una aplicación cuya documentación habla de funcionalidades que no estarán disponibles hasta versiones futuras. ¿Vosotros qué pensáis que está pasando? Yo creo que ellos están trabajando con la versión 2.0.16.0, mirad la versión que aparece al final de la página [3], y están permitiendo la descarga de la 2.0.7. ¿Por qué? No lo sé. La realidad es que cuando te descargas la versión 2.0.7 te sale en la pantalla de login que es la 2.0.16.0. ¿Por qué? Sigo sin saberlo.

[1] Manual de INSIDE 2.0.6: http://www.nosoynadie.net/docs/inside/Manual-de-instalacion-Inside-v2-0-6.pdf | https://administracionelectronica.gob.es/ctt/inside/descargas
[2] https://ssweb.seap.minhap.es/ayuda/consulta/CAID 
[3] https://inside.seap.minhap.es/inside/